TemplateTNT::Matrix class Reference

Main Page Namespace List Compound List File List Namespace Members Compound Members File Members

# TNT::Matrix Class Template Reference

`#include <tnt_cmat.h>`

List of all members.

## Public Types
typedef Subscript | size_type
typedef T | value_type
typedef T | element_type
typedef T* | pointer
typedef T* | iterator
typedef T& | reference
typedef const T* | const_iterator
typedef const T& | const_reference
## Public Methods
Subscript | lbound () const
| operator T ** ()
| operator T ** () const
Subscript | size () const
| Matrix ()
| Matrix (const Matrix< T > &A)
| Matrix (Subscript M, Subscript N, const T &value=T())
| Matrix (Subscript M, Subscript N, const T *v)
| Matrix (Subscript M, Subscript N, const char *s)
| ~Matrix ()
Matrix<T>& | newsize (Subscript M, Subscript N)
Matrix<T>& | operator= (const Matrix< T > &A)
Matrix<T>& | operator= (const T &scalar)
Subscript | dim (Subscript d) const
Subscript | num_rows () const
Subscript | num_cols () const
T* | operator[] (Subscript i)
const T* | operator[] (Subscript i) const
reference | operator() (Subscript i)
const_reference | operator() (Subscript i) const
reference | operator() (Subscript i, Subscript j)
const_reference | operator() (Subscript i, Subscript j) const
## Protected Attributes
Subscript | m_
Subscript | n_
Subscript | mn_
T* | v_
T** | row_
T* | vm1_
T** | rowm1_

## Detailed Description

### template<class T> class TNT::Matrix

[Deprecatred] Value-based Matrix class from pre-1.0 TNT version. Provides a row-oriented, 0-based [i][j] and 1-based (i,j) indexing. Kept here for backward compatiblity, but should use the newer TNT::Array2D classes instead.

## Member Typedef Documentation

template<class T>
typedef const T * TNT::Matrix<T>::const_iterator

template<class T>
typedef const T & TNT::Matrix<T>::const_reference

template<class T>
typedef T TNT::Matrix<T>::element_type

template<class T>
typedef T * TNT::Matrix<T>::iterator

template<class T>
typedef T * TNT::Matrix<T>::pointer

template<class T>
typedef T & TNT::Matrix<T>::reference

template<class T>
typedef Subscript TNT::Matrix<T>::size_type

template<class T>
typedef T TNT::Matrix<T>::value_type

## Constructor & Destructor Documentation

template<class T>
TNT::Matrix<T>::Matrix<T> ( | )

template<class T>
TNT::Matrix<T>::Matrix<T> ( | const Matrix< T > & A )

template<class T>
TNT::Matrix<T>::Matrix<T> ( | Subscript M,
| Subscript N,
| const T & value = T() )

template<class T>
TNT::Matrix<T>::Matrix<T> ( | Subscript M,
| Subscript N,
| const T * v )

template<class T>
TNT::Matrix<T>::Matrix<T> ( | Subscript M,
| Subscript N,
| const char * s )

template<class T>
TNT::Matrix<T>::~Matrix<T> ( | )

## Member Function Documentation

template<class T>
Subscript TNT::Matrix<T>::dim ( | Subscript d ) const

template<class T>
Subscript TNT::Matrix<T>::lbound ( | ) const`[inline]`

template<class T>
Matrix<T>& TNT::Matrix<T>::newsize ( | Subscript M,
| Subscript N )

template<class T>
Subscript TNT::Matrix<T>::num_cols ( | ) const`[inline]`

template<class T>
Subscript TNT::Matrix<T>::num_rows ( | ) const`[inline]`

template<class T>
TNT::Matrix<T>::operator T ** ( | ) const`[inline]`

template<class T>
TNT::Matrix<T>::operator T ** ( | )`[inline]`

template<class T>
const_reference TNT::Matrix<T>::operator() ( | Subscript i,
| Subscript j ) const`[inline]`

template<class T>
reference TNT::Matrix<T>::operator() ( | Subscript i,
| Subscript j )`[inline]`

template<class T>
const_reference TNT::Matrix<T>::operator() ( | Subscript i ) const`[inline]`

template<class T>
reference TNT::Matrix<T>::operator() ( | Subscript i )`[inline]`

template<class T>
Matrix<T>& TNT::Matrix<T>::operator= ( | const T & scalar )

template<class T>
Matrix<T>& TNT::Matrix<T>::operator= ( | const Matrix< T > & A )

template<class T>
const T * TNT::Matrix<T>::operator[] ( | Subscript i ) const`[inline]`

template<class T>
T * TNT::Matrix<T>::operator[] ( | Subscript i )`[inline]`

template<class T>
Subscript TNT::Matrix<T>::size ( | ) const`[inline]`

## Member Data Documentation

template<class T>
Subscript TNT::Matrix<T>::m_`[protected]`

template<class T>
Subscript TNT::Matrix<T>::mn_`[protected]`

template<class T>
Subscript TNT::Matrix<T>::n_`[protected]`

template<class T>
T ** TNT::Matrix<T>::row_`[protected]`

template<class T>
T ** TNT::Matrix<T>::rowm1_`[protected]`

template<class T>
T * TNT::Matrix<T>::v_`[protected]`

template<class T>
T * TNT::Matrix<T>::vm1_`[protected]`

The documentation for this class was generated from the following file:

- tnt_cmat.h